微信小程序定义文件

微信小程序 API 的 TypeScript 类型定义文件

安装

通过 npm 安装:

# 安装对应最新基础库的定义文件
npm install miniprogram-api-typings

或者通过版本号指定一个基础库版本:

# 安装对应基础库版本 2.4.1 的定义文件
npm install miniprogram-api-typings@2.4.1

版本

基础库版本 npm 版本 命令
v2.6.5 2.6.5-2 npm install miniprogram-api-typings@2.6.5-2
v2.4.2 2.4.2-2 npm install miniprogram-api-typings@2.4.2-2
v2.4.1 2.4.1 npm install miniprogram-api-typings@2.4.1
v2.4.0 2.4.0-1 npm install miniprogram-api-typings@2.4.0-1

贡献

定义文件是随 文档 一起自动生成的,所以所有的 PR 都将 不会 被接受。如果您有 bug 反馈或建议,请提一个 issue 给我们。非常感谢!